LibreOffice: XInteractionPassword2 Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInteractionPassword2 Interface Referencepublished

A continuation to get a password from interaction helper, extends XInteractionPassword with possibility to provide password to modify. More...

`import <XInteractionPassword2.idl;`

Inheritance diagram for XInteractionPassword2:

## Public Member Functions
void | setPasswordToModify ([in] string aPasswd)
| stores "password to modify" to the continuation.
string | getPasswordToModify ()
| gets "password to modify" from the continuation.
void | setRecommendReadOnly ([in] boolean bReadOnly)
| stores "recommend readonly" to the continuation.
boolean | getRecommendReadOnly ()
| gets "recommend readonly" from the continuation.
Public Member Functions inherited from XInteractionPassword
void | setPassword ([in] string aPasswd)
| Store result password to the continuation.
string | getPassword ()
| Get result password from the continuation.
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation).
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

A continuation to get a password from interaction helper, extends XInteractionPassword with possibility to provide password to modify.

Since
  OOo 3.3

## Member Function Documentation

## ◆ getPasswordToModify()

string getPasswordToModify | ( |  | ) |

gets "password to modify" from the continuation.

## ◆ getRecommendReadOnly()

boolean getRecommendReadOnly | ( |  | ) |

gets "recommend readonly" from the continuation.

It specifies whether the document should be loaded readonly per default.

## ◆ setPasswordToModify()

void setPasswordToModify | ( | [in] string | aPasswd | ) |

stores "password to modify" to the continuation.

## ◆ setRecommendReadOnly()

void setRecommendReadOnly | ( | [in] boolean | bReadOnly | ) |

stores "recommend readonly" to the continuation.

It specifies whether the document should be loaded readonly per default.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XInteractionPassword2.idl